How do I build HSQL for Java 1.5?

2013-12-21
2014-01-19
  • Jesse Barnum
    Jesse Barnum
    2013-12-21

    When I run the ant task using 'ant hsqldb', my compiled class versions are all 51.0 (Java 7).

    I don't understand the documentation at http://hsqldb.org/doc/guide/building-app.html. It sounds like all I should need to do is this:

    ant switchtojdk15
    ant hsqldb

    However, that seems to have no effect - compiled class versions are still 51.0. I'm on a Mac, which does not have Java 1.5, so I'm expecting that the compiler will use -source 1.5 -target 1.5. Is that not how the build task works?

     
  • Fred Toussi
    Fred Toussi
    2013-12-21

    The Java 1.5 builds are for JDK 1.5. We have not tried to build them with JDK 7 and it probably won't work.